# Draw
TKTopTest
TestTopOpeDraw

# TestTopOpeDraw_HArray1OfDrawableMesure Class Reference

`#include <TestTopOpeDraw_HArray1OfDrawableMesure.hxx>`

## Public Member Functions

Standard_EXPORT | TestTopOpeDraw_HArray1OfDrawableMesure (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TestTopOpeDraw_HArray1OfDrawableMesure (const Standard_Integer Low, const Standard_Integer Up, const Handle(TestTopOpeDraw_DrawableMesure)&V)
Standard_EXPORT void | Init (const Handle(TestTopOpeDraw_DrawableMesure)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(TestTopOpeDraw_DrawableMesure)&Value)
const Handle_TestTopOpeDraw_DrawableMesure & | Value (const Standard_Integer Index) const
Handle_TestTopOpeDraw_DrawableMesure & | ChangeValue (const Standard_Integer Index)
const TestTopOpeDraw_Array1OfDrawableMesure & | Array1 () const
TestTopOpeDraw_Array1OfDrawableMesure & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TestTopOpeDraw_Array1OfDrawableMesure | myArray

## Constructor & Destructor Documentation

Standard_EXPORT TestTopOpeDraw_HArray1OfDrawableMesure::TestTopOpeDraw_HArray1OfDrawableMesure | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TestTopOpeDraw_HArray1OfDrawableMesure::TestTopOpeDraw_HArray1OfDrawableMesure | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(TestTopOpeDraw_DrawableMesure)& | V
| ) |

## Member Function Documentation

const TestTopOpeDraw_Array1OfDrawableMesure& TestTopOpeDraw_HArray1OfDrawableMesure::Array1 | ( |  | ) | const

TestTopOpeDraw_Array1OfDrawableMesure& TestTopOpeDraw_HArray1OfDrawableMesure::ChangeArray1 | ( |  | ) |

Handle_TestTopOpeDraw_DrawableMesure& TestTopOpeDraw_HArray1OfDrawableMesure::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const TestTopOpeDraw_HArray1OfDrawableMesure::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void TestTopOpeDraw_HArray1OfDrawableMesure::Init | ( | const Handle(TestTopOpeDraw_DrawableMesure)& | V | ) |

Standard_Integer TestTopOpeDraw_HArray1OfDrawableMesure::Length | ( |  | ) | const

Standard_Integer TestTopOpeDraw_HArray1OfDrawableMesure::Lower | ( |  | ) | const

void TestTopOpeDraw_HArray1OfDrawableMesure::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(TestTopOpeDraw_DrawableMesure)& | Value
| ) |

Standard_Integer TestTopOpeDraw_HArray1OfDrawableMesure::Upper | ( |  | ) | const

const Handle_TestTopOpeDraw_DrawableMesure& TestTopOpeDraw_HArray1OfDrawableMesure::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

TestTopOpeDraw_Array1OfDrawableMesure TestTopOpeDraw_HArray1OfDrawableMesure::myArray `[private]`

The documentation for this class was generated from the following file:

- TestTopOpeDraw_HArray1OfDrawableMesure.hxx